<div class="p-page">
  <a class="a-back" [routerLink]="['/household', 'settings']">
    <mat-icon>arrow_back</mat-icon><span>Instellingen</span>
  </a>
  <section class="o-card -green -last">
    <div class="o-card__container">
      <h2 class="o-card__title">Huishouden</h2>
      <ng-container *ngIf="!householdInfoError">
        <ul
          class="m-settings"
          *ngIf="householdInfo$ | async as householdInfo; else isLoading"
        >
          <li class="m-settings__item">
            <div class="m-settings__title">Huishouden</div>
            <div class="m-settings__value">{{ householdInfo.name }}</div>
          </li>
          <li class="m-settings__item">
            <div class="m-settings__title">Deelcode</div>
            <div class="m-settings__value">{{ householdInfo.code }}</div>
          </li>
          <li class="m-settings__item">
            <div class="m-settings__title">Leden</div>
            <div class="m-settings__value">
              <div *ngFor="let member of householdInfo.members">
                {{ member.username }}
              </div>
            </div>
          </li>
        </ul>
        <ng-template #isLoading>
          <ul class="m-settings">
            <li class="m-settings__item">
              <div class="m-settings__is-loading"></div>
              <div class="m-settings__is-loading-value"></div>
            </li>
            <li class="m-settings__item">
              <div class="m-settings__is-loading"></div>
              <div class="m-settings__is-loading-value"></div>
            </li>
            <li class="m-settings__item">
              <div class="m-settings__is-loading"></div>
              <div class="m-settings__is-loading-value"></div>
              <div class="m-settings__is-loading-value"></div>
              <div class="m-settings__is-loading-value"></div>
            </li>
          </ul>
        </ng-template>
      </ng-container>
      <ng-container *ngIf="householdInfoError">
        <app-cannot-load
          [message]="'Kan data niet laden.'"
          (refresh)="onRefreshData()"
        ></app-cannot-load>
      </ng-container>
    </div>
  </section>
</div>
